%define name vpnd
%define version 1.0.8
%define release 2mdk

Name: %{name}
Summary: The virtual private network daemon vpnd.
Version: %{version}
Release: %{release}
Source: vpnd-1.0.8.tar.bz2
Group: Networking/Other
URL: http://sunsite.auc.dk/vpnd/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL/LGPL
Prefix: /usr

%description
The virtual private network daemon vpnd is a daemon which connects two
networks on network level either via TCP/IP or a (virtual) leased line attached
to a serial interface. All data transfered between the two networks are
encrypted using the unpatented free Blowfish encryption algorithm. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n vpnd

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make -j 2

%install
install -m 775 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT/etc
install -m 755 vpnd $RPM_BUILD_ROOT/usr/sbin
install -m 755 vpnd.conf $RPM_BUILD_ROOT/etc
install -m 755 vpnd.chat $RPM_BUILD_ROOT/etc

#These lines are only needed for systems without /dev/random

#mkdir -p $RPM_BUILD_ROOT/dev
#install -m 644 -s -o root -g root randomd $RPM_BUILD_ROOT/dev
#cd $RPM_BUILD_ROOT/dev
#ln -s ./randomd ./random

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc VERSIONS SPEED.TXT README dynamic-ip-client samples
%config /etc/vpnd.chat
%config /etc/vpnd.conf
/usr/sbin/*

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-2mdk
- fix group
- fix files section

* Wed Nov 03 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations / New in contribs 

* Tue Oct 05 1999 Sean P. Kane <kane@ca.metsci.com>
- Created first VPND RPM - version 1.0.8 - for Mandrake

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
